## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAwsSlot Struct Reference
[AWS, AWS]

Interface for signal slots (conduits). More...

`#include <iaws/aws.h>`

Inheritance diagram for iAwsSlot:

[legend]
List of all members.

## Public Member Functions

virtual void | Connect (iAwsSource *source, unsigned long signal, iAwsSink *sink, unsigned long trigger)=0
| Connect sets us up to receive signals from some other component.
virtual void | Disconnect (iAwsSource *source, unsigned long signal, iAwsSink *sink, unsigned long trigger)=0
| Disconnects us from the specified source and signal.
virtual void | Emit (iAwsSource &source, unsigned long signal)=0
| Invoked by a source to emit the signal to this slot's sink.

## Detailed Description

Interface for signal slots (conduits).

Definition at line 759 of file aws.h.

## Member Function Documentation

virtual void iAwsSlot::Connect | ( | iAwsSource * | source,
|  | unsigned long | signal,
|  | iAwsSink * | sink,
|  | unsigned long | trigger
| ) | `[pure virtual]`

| Connect sets us up to receive signals from some other component. You can connect to as many different sources and signals as you'd like. You may connect to multiple signals from the same source.

virtual void iAwsSlot::Disconnect | ( | iAwsSource * | source,
|  | unsigned long | signal,
|  | iAwsSink * | sink,
|  | unsigned long | trigger
| ) | `[pure virtual]`

| Disconnects us from the specified source and signal. This may happen automatically if the signal source goes away. You will receive disconnect notification always (even if you request the disconnection.)

virtual void iAwsSlot::Emit | ( | iAwsSource & | source,
|  | unsigned long | signal
| ) | `[pure virtual]`

| Invoked by a source to emit the signal to this slot's sink.

The documentation for this struct was generated from the following file:

- iaws/aws.h